import 'package:educational_audioplayer/loader.dart';
import 'package:educational_audioplayer/player.dart';
import 'package:educational_audioplayer/ui/bottom_player.dart';
import 'package:flutter/material.dart';
import 'package:shared_preferences/shared_preferences.dart';

String lastAudioUrl = '';
const String lastPlayedAudioUrl = 'lastPlayedAudioUrl';

class AudioScreen extends StatefulWidget {
  final List<Audio> audios;
  AudioScreen(this.audios);

  @override
  _AudioScreenState createState() => _AudioScreenState();
}

class _AudioScreenState extends State<AudioScreen> {
  BottomPlayer bottomPlayer;

  @override
  void initState() {
    super.initState();
    bottomPlayer = BottomPlayer(
        imageUrl:
            "https://ia601505.us.archive.org/26/items/kitab_at_tauhid_202002/kitab_at_tauhid.png");
  }

  Widget _buildAudioItem(BuildContext context, int index) {
    return Container(
        child: ListTile(
          title: Text(widget.audios[index].audioName),
          onTap: () {
            bottomPlayer.show();
            bottomPlayer.play(widget.audios, index,
                setLastAudioMethodLocal: setLastPlayedAudio);
          },
        ),
        color: (widget.audios[index].url == lastAudioUrl)
            ? Theme.of(context).highlightColor
            : null);
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text('educational_audio'),
        actions: <Widget>[
          LoadDeleteButton(
            context: context,
            audios: widget.audios,
          )
        ],
      ),
      body: ListView.builder(
        itemBuilder: _buildAudioItem,
        itemCount: widget.audios.length,
      ),
      bottomNavigationBar: bottomPlayer,
    );
  }

  setLastPlayedAudio(url) async {
    SharedPreferences prefs = await SharedPreferences.getInstance();
    if (url == '') {
      url = lastAudioUrl;
    }
    setState(() {
      lastAudioUrl = url;
      prefs.setString(lastPlayedAudioUrl, url);
    });
  }

  getLastPlayedAudio() async {
    SharedPreferences prefs = await SharedPreferences.getInstance();
    setState(() {
      lastAudioUrl = prefs.getString(lastPlayedAudioUrl) ?? '';
    });
  }
}
